package com.goafanti.order.enums;

import java.util.HashMap;
import java.util.Map;

public enum ActiveState {
	/** 正常  **/
	NORMAL(0,"NORMAL"),
	/** 废除 **/
	ABOLISH(1,"ABOLISH"),
	/** 锁定 **/
	LOCKING(2,"LOCKING"),
	/** 无效 **/
	INVALID(10, "INVALID");
	
	private ActiveState(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, ActiveState> status = new HashMap<Integer, ActiveState>();

	static {
		for (ActiveState value : ActiveState.values()) {
			status.put(value.getCode(), value);
		}
	}
	public static ActiveState getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return INVALID;
	}
	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}
	private Integer	code;
	private String	desc;
	public Integer getCode() {
		return code;
	}
	public void setCode(Integer code) {
		this.code = code;
	}
	public String getDesc() {
		return desc;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}
}
